<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:gravity="center_horizontal"
    android:orientation="vertical"
    tools:context=".ui.home.activity.TopUpSuccessActivity">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/height_bg_top_success_mpay"
        android:layout_gravity="center_horizontal"
        android:background="@drawable/bg_profile">

        <RelativeLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_centerHorizontal="true"
            android:layout_marginBottom="15dp">

            <ImageView
                android:id="@+id/imgCheck"
                android:layout_width="wrap_content"
                android:layout_height="@dimen/width_height_img_check_success_mpay"
                android:layout_centerHorizontal="true"
                android:src="@drawable/ic_successful" />

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/imgCheck"
                android:layout_centerHorizontal="true"
                android:layout_marginTop="5dp"
                android:text="@string/successful"
                android:textColor="@android:color/white"
                android:textSize="26sp" />
        </RelativeLayout>
    </RelativeLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <ImageView
            android:id="@+id/img_background_alpha"
            android:layout_width="@dimen/height_bg_top_success_mpay"
            android:layout_height="@dimen/height_bg_top_success_mpay"
            android:layout_centerInParent="true"
            android:src="@drawable/bg_phone_sucess" />

        <com.seatel.mobilehall.util.customview.CustomTextView
            android:id="@+id/text_view_top_up"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="@dimen/default_screen_padding"
            android:text="@string/top_up"
            android:textSize="@dimen/large_text_size" />

        <LinearLayout
            android:id="@+id/layout_amount"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/text_view_top_up"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="5dp">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerHorizontal="true"
                android:text="$"
                android:textColor="@color/colorPrimary"
                android:textSize="@dimen/xxx_large_text_size" />

            <TextView
                android:id="@+id/text_view_top_up_amount"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerHorizontal="true"
                android:text="5.00"
                android:textColor="@color/colorPrimary"
                android:textSize="@dimen/xxx_large_text_size"
                android:textStyle="bold" />

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerHorizontal="true"
                android:layout_marginStart="5dp"
                android:text="USD"
                android:textColor="@color/colorPrimary"
                android:textSize="@dimen/xxx_large_text_size"
                android:visibility="gone" />

        </LinearLayout>

        <com.seatel.mobilehall.util.customview.CustomTextView
            android:id="@+id/text_view_to"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/layout_amount"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="5dp"
            android:text="@string/to"
            android:textSize="@dimen/large_text_size" />

        <TextView
            android:id="@+id/tv_account"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/text_view_to"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="5dp"
            android:text="018 902 0709"
            android:textColor="@color/colorPrimary"
            android:textSize="@dimen/xxx_large_text_size" />

        <RelativeLayout
            android:id="@+id/layout_merchant_logo"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@+id/tv_account"
            android:layout_marginTop="10dp"
            android:visibility="invisible">

            <de.hdodenhof.circleimageview.CircleImageView
                android:id="@+id/img_merchant_logo"
                android:layout_width="70dp"
                android:layout_height="70dp"
                android:layout_centerHorizontal="true"
                android:layout_marginBottom="10dp"
                app:civ_border_color="@color/colorPrimary"
                app:civ_border_width="1dp" />

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/img_merchant_logo"
                android:layout_centerHorizontal="true"
                android:text="Domino Pizza"
                android:textColor="@color/colorPrimary"
                android:textSize="@dimen/xxx_large_text_size" />

        </RelativeLayout>

        <de.hdodenhof.circleimageview.CircleImageView
            android:id="@+id/image_view_go_to_main"
            android:layout_width="50dp"
            android:layout_height="50dp"
            android:layout_above="@+id/text_view_go_to_main"
            android:layout_centerHorizontal="true"
            android:src="@drawable/ic_gotomain" />

        <com.seatel.mobilehall.util.customview.CustomTextView
            android:id="@+id/text_view_go_to_main"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_centerHorizontal="true"
            android:layout_marginBottom="10dp"
            android:text="@string/go_to_main"
            android:textColor="@color/colorPrimary"
            android:textSize="@dimen/large_text_size" />

    </RelativeLayout>

</LinearLayout>
